INCLUDES = $(all_includes)
METASOURCES = AUTO

SUBDIRS = icons core configdlg dialogs browser iconview listview searchdlg

# Main program
bin_PROGRAMS = smb4k

smb4k_SOURCES = main.cpp smb4k.cpp smb4ksystemtray.cpp
smb4k_LDADD = $(top_builddir)/smb4k/core/libsmb4kcore.la \
	$(top_builddir)/smb4k/dialogs/libsmb4kdialogs.la $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEFILE) $(LIB_TDEPARTS) $(LIB_QT)
smb4k_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_QT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor


KDE_ICON = smb4k

xdg_apps_DATA = smb4k.desktop

rcdir = $(kde_datadir)/smb4k
rc_DATA = smb4k_shell.rc

noinst_HEADERS = smb4ksystemtray.h
